For the complete documentation index, see llms.txt. This page is also available as Markdown.

Import

Import

List all import templates

get
/tenants/{tenantUid}/imports/templates

List all import templates

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/imports/templates
GET /v2/tenants/{tenantUid}/imports/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "templateUid": "text",
      "name": "text",
      "description": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "layouts": [
        {
          "layoutUid": "text",
          "createdBy": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "conversions": [
            {
              "conversionUid": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "fromValue": "text",
              "toValue": "text"
            }
          ],
          "fieldName": "text",
          "value": "text"
        }
      ],
      "entity": "PRODUCTS",
      "importFormat": "EXCEL",
      "fields": [
        {
          "name": "text",
          "type": "text",
          "allowedValues": [
            "text"
          ],
          "createUsage": {
            "usage": "REQUIRED",
            "requiredExchangeableWith": [
              "text"
            ]
          },
          "updateUsage": {
            "usage": "REQUIRED",
            "requiredExchangeableWith": [
              "text"
            ]
          }
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create import template

post
/tenants/{tenantUid}/imports/templates

Create import template

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
descriptionstringOptional
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
templateUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
post/tenants/{tenantUid}/imports/templates
POST /v2/tenants/{tenantUid}/imports/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "name": "text",
  "description": "text",
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "templateUid": "text"
}
200

Example response

{
  "templateUid": "text",
  "name": "text",
  "description": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "layouts": [
    {
      "layoutUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "conversions": [
        {
          "conversionUid": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "fromValue": "text",
          "toValue": "text"
        }
      ],
      "fieldName": "text",
      "value": "text"
    }
  ],
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "fields": [
    {
      "name": "text",
      "type": "text",
      "allowedValues": [
        "text"
      ],
      "createUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      },
      "updateUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      }
    }
  ]
}

Get import template details

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}

Get import template details. When includeLayouts is true, the response contains all layouts for the template. If includeConversions is also true, the response also contains all conversions for every layout. includeConversions is only honored if includeLayouts is true

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
includeLayoutsbooleanOptional

Include layouts in response

includeConversionsbooleanOptional

Include conversions in response

Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
get/tenants/{tenantUid}/imports/templates/{importTemplateUid}
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "templateUid": "text",
  "name": "text",
  "description": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "layouts": [
    {
      "layoutUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "conversions": [
        {
          "conversionUid": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "fromValue": "text",
          "toValue": "text"
        }
      ],
      "fieldName": "text",
      "value": "text"
    }
  ],
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "fields": [
    {
      "name": "text",
      "type": "text",
      "allowedValues": [
        "text"
      ],
      "createUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      },
      "updateUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      }
    }
  ]
}

Update import template

put
/tenants/{tenantUid}/imports/templates/{importTemplateUid}

Update import template

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
descriptionstringOptional
Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
put/tenants/{tenantUid}/imports/templates/{importTemplateUid}
PUT /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "text",
  "description": "text"
}
200

Example response

{
  "templateUid": "text",
  "name": "text",
  "description": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "layouts": [
    {
      "layoutUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "conversions": [
        {
          "conversionUid": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "fromValue": "text",
          "toValue": "text"
        }
      ],
      "fieldName": "text",
      "value": "text"
    }
  ],
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "fields": [
    {
      "name": "text",
      "type": "text",
      "allowedValues": [
        "text"
      ],
      "createUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      },
      "updateUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      }
    }
  ]
}

Delete an Import template

delete
/tenants/{tenantUid}/imports/templates/{importTemplateUid}

Delete an Import template

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/imports/templates/{importTemplateUid}
DELETE /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List layouts for a import template

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts

List layouts for a import template

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "layoutUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "conversions": [
        {
          "conversionUid": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "fromValue": "text",
          "toValue": "text"
        }
      ],
      "fieldName": "text",
      "value": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create layout for an import template

post
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts

Create layout for an import template

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
Body
fieldNamestringRequired

Entity field name in FlowRetail

valuestringRequired

Static value, or reference to field in import file.

Example: For EXCEL import use A to get the value from column A

layoutUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
layoutUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
fieldNamestringRequired

Entity field name in FlowRetail

valuestringRequired

Static value, or reference to field in import file.

Example: For EXCEL import use A to get the value from column A

post/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts
POST /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "fieldName": "text",
  "value": "text",
  "layoutUid": "text"
}
200

Example response

{
  "layoutUid": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "conversions": [
    {
      "conversionUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "fromValue": "text",
      "toValue": "text"
    }
  ],
  "fieldName": "text",
  "value": "text"
}

Get layout details for an import template

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}

Get import layout details

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
includeConversionsbooleanOptional

Include conversions in response

Responses
200

Example response

application/json
layoutUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
fieldNamestringRequired

Entity field name in FlowRetail

valuestringRequired

Static value, or reference to field in import file.

Example: For EXCEL import use A to get the value from column A

get/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "layoutUid": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "conversions": [
    {
      "conversionUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "fromValue": "text",
      "toValue": "text"
    }
  ],
  "fieldName": "text",
  "value": "text"
}

Update layout for an import template

put
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}

Update import layout

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
Body
fieldNamestringRequired

Entity field name in FlowRetail

valuestringRequired

Static value, or reference to field in import file.

Example: For EXCEL import use A to get the value from column A

Responses
200

Example response

application/json
layoutUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
fieldNamestringRequired

Entity field name in FlowRetail

valuestringRequired

Static value, or reference to field in import file.

Example: For EXCEL import use A to get the value from column A

put/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}
PUT /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "fieldName": "text",
  "value": "text"
}
200

Example response

{
  "layoutUid": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "conversions": [
    {
      "conversionUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "fromValue": "text",
      "toValue": "text"
    }
  ],
  "fieldName": "text",
  "value": "text"
}

Delete a layout for an import template

delete
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}

Delete an Import layout

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}
DELETE /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List import files

get
/tenants/{tenantUid}/imports/files

List import files. Use query parameter to narrow list

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
importTemplateUidsstring[]Optional

Reference to a Import Template.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
importFileStatestring · enum · min: 1Optional
ENUMDescription
NOT_STARTEDImport not started
IMPORT_IN_PROGRESSImport is running
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
VALIDATE_IN_PROGRESSValidate is running
COMPLETE_NOTHING_TO_IMPORTImport is done, but there where nothing to import
COMPLETEImport complete
VALIDATE_FAILEDValidate failed
IMPORT_FAILEDImport failed
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
READY_TO_IMPORTValidation OK, import is ready
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/imports/files
GET /v2/tenants/{tenantUid}/imports/files HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "importFileUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "state": "NOT_STARTED",
      "filename": "text",
      "columnCount": 1,
      "rowCount": 1,
      "progressCount": 1,
      "errorCount": 1,
      "ignoredCount": 1,
      "estimatedRemainingTime": 1,
      "estimatedRemainingTimeText": "text",
      "totalTime": 1,
      "operation": "INSERT",
      "errorMessage": "text",
      "template": {
        "templateUid": "text",
        "name": "text",
        "description": "text",
        "createdBy": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "lastModifiedBy": "text",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "layouts": [
          {
            "layoutUid": "text",
            "createdBy": "text",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "lastModifiedBy": "text",
            "lastModifiedAt": "2026-01-01T00:00:00.000Z",
            "conversions": [
              {
                "conversionUid": "text",
                "createdAt": "2026-01-01T00:00:00.000Z",
                "createdBy": "text",
                "lastModifiedAt": "2026-01-01T00:00:00.000Z",
                "lastModifiedBy": "text",
                "fromValue": "text",
                "toValue": "text"
              }
            ],
            "fieldName": "text",
            "value": "text"
          }
        ],
        "entity": "PRODUCTS",
        "importFormat": "EXCEL",
        "fields": [
          {
            "name": "text",
            "type": "text",
            "allowedValues": [
              "text"
            ],
            "createUsage": {
              "usage": "REQUIRED",
              "requiredExchangeableWith": [
                "text"
              ]
            },
            "updateUsage": {
              "usage": "REQUIRED",
              "requiredExchangeableWith": [
                "text"
              ]
            }
          }
        ]
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Process or simulate import

post
/tenants/{tenantUid}/imports/files

This will create and return a new import file record with state NOT_STARTED and the importFileUid. The validation and import is processed in a new thread that will update the import progress every 5 seconds. To fetch the current state, use the Get import-file details endpoint.

Use action PROCESS to commit the import upon validation. If no errors occur the import state is COMPLETE.

Use action SIMULATE if you do not want to commit the import data and only validat. If no errors occur the import state will be READY_TO_IMPORT.

Use the Execute import content endpoint to abort the processing or to commit (execute) a successful simulation.

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
base64DatastringRequired

base64 encoded data to be processed

operationstring · enum · min: 1Required
ENUMDescription
INSERTOnly insert non-existing records, existing records will be ignored
UPDATEOnly update existing records, non-existing records will be ignored
UPSERTnon-existing records will be inserted, existing records will be updated
Possible values:
actionstring · enum · min: 1Required
ENUMDescription
SIMULATEDo a simulate on import. Return content without saving
PROCESSProcess file with given template. Save file if no errors
Possible values:
importFileUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
base64DatastringRequired
contentTypestringRequired
actionstring · enum · min: 1Required
ENUMDescription
SIMULATEDo a simulate on import. Return content without saving
PROCESSProcess file with given template. Save file if no errors
Possible values:
importFileUidstringRequiredPattern: ^[A-Za-z0-9-_]*
operationstring · enum · min: 1Required
ENUMDescription
INSERTOnly insert non-existing records, existing records will be ignored
UPDATEOnly update existing records, non-existing records will be ignored
UPSERTnon-existing records will be inserted, existing records will be updated
Possible values:
statestring · enum · min: 1Required
ENUMDescription
NOT_STARTEDImport not started
IMPORT_IN_PROGRESSImport is running
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
VALIDATE_IN_PROGRESSValidate is running
COMPLETE_NOTHING_TO_IMPORTImport is done, but there where nothing to import
COMPLETEImport complete
VALIDATE_FAILEDValidate failed
IMPORT_FAILEDImport failed
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
READY_TO_IMPORTValidation OK, import is ready
Possible values:
post/tenants/{tenantUid}/imports/files
POST /v2/tenants/{tenantUid}/imports/files HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 106

{
  "templateUid": "text",
  "base64Data": "text",
  "operation": "INSERT",
  "action": "SIMULATE",
  "importFileUid": "text"
}
200

Example response

{
  "templateUid": "text",
  "base64Data": "text",
  "contentType": "text",
  "action": "SIMULATE",
  "importFileUid": "text",
  "operation": "INSERT",
  "state": "NOT_STARTED"
}

Get importfile details

get
/tenants/{tenantUid}/imports/files/{importFileUid}

Get importfile details

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importFileUidstringRequired

Reference to a import file.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
lightbooleanOptional

Set this to true to get a lighter version of the response, without the base64encoded version

Responses
200

Example response

application/json
or
get/tenants/{tenantUid}/imports/files/{importFileUid}
GET /v2/tenants/{tenantUid}/imports/files/{importFileUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "importFileUid": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "state": "NOT_STARTED",
  "filename": "text",
  "columnCount": 1,
  "rowCount": 1,
  "progressCount": 1,
  "errorCount": 1,
  "ignoredCount": 1,
  "estimatedRemainingTime": 1,
  "estimatedRemainingTimeText": "text",
  "totalTime": 1,
  "operation": "INSERT",
  "errorMessage": "text",
  "template": {
    "templateUid": "text",
    "name": "text",
    "description": "text",
    "createdBy": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "lastModifiedBy": "text",
    "lastModifiedAt": "2026-01-01T00:00:00.000Z",
    "layouts": [
      {
        "layoutUid": "text",
        "createdBy": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "lastModifiedBy": "text",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "conversions": [
          {
            "conversionUid": "text",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "createdBy": "text",
            "lastModifiedAt": "2026-01-01T00:00:00.000Z",
            "lastModifiedBy": "text",
            "fromValue": "text",
            "toValue": "text"
          }
        ],
        "fieldName": "text",
        "value": "text"
      }
    ],
    "entity": "PRODUCTS",
    "importFormat": "EXCEL",
    "fields": [
      {
        "name": "text",
        "type": "text",
        "allowedValues": [
          "text"
        ],
        "createUsage": {
          "usage": "REQUIRED",
          "requiredExchangeableWith": [
            "text"
          ]
        },
        "updateUsage": {
          "usage": "REQUIRED",
          "requiredExchangeableWith": [
            "text"
          ]
        }
      }
    ]
  }
}

Execute import content

post
/tenants/{tenantUid}/imports/files/{importFileUid}

Execute import content

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importFileUidstringRequired

Reference to a import file.

Pattern: ^[A-Za-z0-9-_]+
Body
actionstring · enumOptional
ENUMDescription
EXECUTEExecute Import job
ABORTAbort running job
Possible values:
Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
base64DatastringRequired
contentTypestringRequired
actionstring · enum · min: 1Required
ENUMDescription
SIMULATEDo a simulate on import. Return content without saving
PROCESSProcess file with given template. Save file if no errors
Possible values:
importFileUidstringRequiredPattern: ^[A-Za-z0-9-_]*
operationstring · enum · min: 1Required
ENUMDescription
INSERTOnly insert non-existing records, existing records will be ignored
UPDATEOnly update existing records, non-existing records will be ignored
UPSERTnon-existing records will be inserted, existing records will be updated
Possible values:
statestring · enum · min: 1Required
ENUMDescription
NOT_STARTEDImport not started
IMPORT_IN_PROGRESSImport is running
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
VALIDATE_IN_PROGRESSValidate is running
COMPLETE_NOTHING_TO_IMPORTImport is done, but there where nothing to import
COMPLETEImport complete
VALIDATE_FAILEDValidate failed
IMPORT_FAILEDImport failed
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
READY_TO_IMPORTValidation OK, import is ready
Possible values:
post/tenants/{tenantUid}/imports/files/{importFileUid}
POST /v2/tenants/{tenantUid}/imports/files/{importFileUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "action": "EXECUTE"
}
200

Example response

{
  "templateUid": "text",
  "base64Data": "text",
  "contentType": "text",
  "action": "SIMULATE",
  "importFileUid": "text",
  "operation": "INSERT",
  "state": "NOT_STARTED"
}

Delete Import file

delete
/tenants/{tenantUid}/imports/files/{importFileUid}

Delete Import file

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importFileUidstringRequired

Reference to a import file.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

OK

No content

delete/tenants/{tenantUid}/imports/files/{importFileUid}
DELETE /v2/tenants/{tenantUid}/imports/files/{importFileUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Download importfile

get
/tenants/{tenantUid}/imports/files/{importFileUid}/download

The importfile will be returned as a binary file

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importFileUidstringRequired

Reference to a import file.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Shared Response

application/octet-stream
string · binaryOptional
get/tenants/{tenantUid}/imports/files/{importFileUid}/download
GET /v2/tenants/{tenantUid}/imports/files/{importFileUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Shared Response

binary

List layout conversions

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions

List conversions for a import layout

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "conversionUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "fromValue": "text",
      "toValue": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create layout conversion

post
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions

Create conversion for an import layout

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
Body
fromValuestringRequired
toValuestringRequired
conversionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
conversionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
fromValuestringRequired
toValuestringRequired
post/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions
POST /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "fromValue": "text",
  "toValue": "text",
  "conversionUid": "text"
}
200

Example response

{
  "conversionUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "fromValue": "text",
  "toValue": "text"
}

Get layout conversion details

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid}

Get import layout conversion details

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
importConversionUidstringRequired

Reference to a import layout conversion.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
conversionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
fromValuestringRequired
toValuestringRequired
get/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid}
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "conversionUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "fromValue": "text",
  "toValue": "text"
}

Update layout conversion

put
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid}

Update import layout

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
importConversionUidstringRequired

Reference to a import layout conversion.

Pattern: ^[A-Za-z0-9-_]+
Body
fromValuestringRequired
toValuestringRequired
Responses
200

Example response

application/json
conversionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
fromValuestringRequired
toValuestringRequired
put/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid}
PUT /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "fromValue": "text",
  "toValue": "text"
}
200

Example response

{
  "conversionUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "fromValue": "text",
  "toValue": "text"
}

Delete a layout conversion

delete
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid}

Delete an Import layout

Required permissions: IMPORT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
importConversionUidstringRequired

Reference to a import layout conversion.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid}
DELETE /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}/conversions/{importConversionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated